# IAlgebraPoolPermissionedActions

Permissioned pool actions

Contains pool methods that may only be called by permissioned addresses

*Developer note: Credit to Uniswap Labs under GPL-2.0-or-later license: <https://github.com/Uniswap/v3-core/tree/main/contracts/interfaces>*

## Functions

### setCommunityFee

`function setCommunityFee(uint8 communityFee) external` external

Set the community's % share of the fees. Cannot exceed 25% (250). Only factory owner or POOLS\_ADMINISTRATOR\_ROLE role

| Name         | Type  | Description                                     |
| ------------ | ----- | ----------------------------------------------- |
| communityFee | uint8 | new community fee percent in thousandths (1e-3) |

### setTickSpacing

`function setTickSpacing(int24 newTickSpacing, int24 newTickSpacingLimitOrders) external` external

Set the new tick spacing values. Only factory owner or POOLS\_ADMINISTRATOR\_ROLE role

| Name                      | Type  | Description                                 |
| ------------------------- | ----- | ------------------------------------------- |
| newTickSpacing            | int24 | The new tick spacing value                  |
| newTickSpacingLimitOrders | int24 | The new tick spacing value for limit orders |

### setIncentive

`function setIncentive(address newIncentiveAddress) external` external

Sets an active incentive. Only farming

| Name                | Type    | Description                               |
| ------------------- | ------- | ----------------------------------------- |
| newIncentiveAddress | address | The address associated with the incentive |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v2.0-directional-fees/v2.0-directional-fees-core/ialgebrapoolpermissionedactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
